osl::hash::HashGenTable Class Reference

`#include <hashKey.h>`

## Static Public Member Functions

static void | addHashKey (HashKey &hk, Square sq, PtypeO ptypeo)
static void | subHashKey (HashKey &hk, Square sq, PtypeO ptypeo)

## Static Private Attributes

static const CArray2d< HashKey128Layout, Square::SIZE, PTYPEO_SIZE > | key

## Detailed Description

Definition at line 168 of file hashKey.h.

## Member Function Documentation

## addHashKey()

void osl::hash::HashGenTable::addHashKey | ( | HashKey & | hk,
|  | Square | sq,
|  | PtypeO | ptypeo )

inline static

Definition at line 172 of file hashKey.h.

References osl::Square::index(), osl::Square::isValid(), osl::isValidPtypeO(), key, and osl::PTYPEO_MIN.

Referenced by osl::hash::HashKey::HashKey(), osl::hash::HashKey::newMakeMove(), and osl::hash::HashKey::newUnmakeMove().

## subHashKey()

void osl::hash::HashGenTable::subHashKey | ( | HashKey & | hk,
|  | Square | sq,
|  | PtypeO | ptypeo )

inline static

Definition at line 176 of file hashKey.h.

References osl::Square::index(), osl::Square::isValid(), osl::isValidPtypeO(), key, and osl::PTYPEO_MIN.

Referenced by osl::hash::HashKey::newMakeMove(), and osl::hash::HashKey::newUnmakeMove().

## Member Data Documentation

## key

const CArray2d< hash::HashKey128Layout, Square::SIZE, PTYPEO_SIZE > osl::hash::HashGenTable::key

static private

Definition at line 170 of file hashKey.h.

Referenced by addHashKey(), and subHashKey().

The documentation for this class was generated from the following files:

- hashKey.h
- hashKey.cc